Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class MatteBorderFactory

matteBorder requires essentially two parameter, a mat definition and a border size definition. The value argument can accept either of these: any of a java.awt.Color, a javax.swing.Icon, an integer, or a 4 arg integer array. The remaining parameter must be define via attributes, either an icon: or color: attribute and a size: or top:, left:, bottom:, and right: attribute.

Constructor Summary
`MatteBorderFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### MatteBorderFactory

    MatteBorderFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)